cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}'import os
import requests
payload = {
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"fmt"
"io"
"net/http"
"os"
)
func main() {
body := []byte(`{
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}`)
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}Kling 3.0 Turbo
Kling 3.0 Turbo 文生视频
Kling 3.0 Turbo T2V 是 APIPod 面向 Kling 3.0 Turbo 提供的文生视频模式,Turbo 是 Kling 3.0 的高速档,始终生成原生音频并支持多镜头提示词。
POST
https://api.apipod.ai
/
v1
/
videos
/
generations
cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}'import os
import requests
payload = {
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"bytes"
"fmt"
"io"
"net/http"
"os"
)
func main() {
body := []byte(`{
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}`)
req, err := http.NewRequest(http.MethodPost, "https://api.apipod.ai/v1/videos/generations", bytes.NewReader(body))
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer "+os.Getenv("APIPOD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
out, _ := io.ReadAll(resp.Body)
fmt.Println(resp.Status, string(out))
}use reqwest::Client;
use serde_json::json;
use std::env;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let payload = json!({
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
});
let response = Client::new()
.post("https://api.apipod.ai/v1/videos/generations")
.bearer_auth(env::var("APIPOD_API_KEY")?)
.json(&payload)
.send()
.await?
.error_for_status()?;
println!("{}", response.text().await?);
Ok(())
}const response = await fetch("https://api.apipod.ai/v1/videos/generations", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.APIPOD_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"model": "kling-3.0-turbo-t2v",
"prompt": "A street drummer performs in the rain at night, crowd cheering, handheld camera.",
"duration": 5,
"resolution": "720p",
"aspect_ratio": "16:9"
}),
});
if (!response.ok) {
throw new Error(`APIPod request failed: ${response.status} ${await response.text()}`);
}
console.log(await response.json());{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}使用说明
- 多镜头:在
multi_prompt中描述最多 6 个镜头({prompt, duration},每个最多 512 字),各镜头时长之和必须等于duration(3-15 秒)。不接受multi_shot字段。 - 音频:始终生成原生音频,传
generate_audio: false会被拒绝。 - 不支持:
negative_prompt(请把排除项写进 prompt)、audio_urls、video_url(请使用video_urls)。
计费
按输出视频时长逐秒计费。每秒费率按分辨率(720p 或 1080p)区分,原生音频已包含在内。具体价格以 模型页 展示为准。任务流程
创建请求返回data.task_id。使用查询视频任务轮询,直到 status 变为 completed(结果位于 data.result)或 failed;也可以传入 callback_url,在任务进入终态时接收通知。授权
在 Authorization 请求头中以 Bearer Token 形式传入 APIPod API Key。
请求体
application/json
APIPod 公开模型 ID。
Allowed value:
"kling-3.0-turbo-t2v"文本提示词,最多 2500 字。未提供 multi_prompt 时必填。
Maximum string length:
2500输出时长(秒),3-15,默认 5。使用 multi_prompt 时各镜头时长之和必须等于该值;省略时取各镜头时长之和。
必填范围:
3 <= x <= 15输出分辨率,默认 720p。每秒费率取决于分辨率。
可用选项:
720p, 1080p 输出宽高比,默认 16:9。
可用选项:
16:9, 9:16, 1:1 多镜头分镜列表,最多 6 个镜头。每个镜头为 {prompt, duration},prompt 最多 512 字;各镜头时长之和必须等于 duration(3-15 秒)。
Maximum array length:
6Show child attributes
Show child attributes
为 true 时额外生成带水印的副本,任务结果返回水印副本。
接收任务终态通知的 HTTPS 地址。
此页面对您有帮助吗?